
package com.tmerclub.cloud.common.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/12/8
 */
public class SpuAndSkuVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "spuId")
    private Long spuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "spu信息")
    private SpuVO spu;

    @Schema(description = "sku信息")
    private SkuVO sku;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public SpuVO getSpu() {
        return spu;
    }

    public void setSpu(SpuVO spu) {
        this.spu = spu;
    }

    public SkuVO getSku() {
        return sku;
    }

    public void setSku(SkuVO sku) {
        this.sku = sku;
    }

    @Override
    public String toString() {
        return "SpuAndSkuVO{" +
                "spuId=" + spuId +
                ", skuId=" + skuId +
                ", spu=" + spu +
                ", sku=" + sku +
                '}';
    }
}
